Verschiedenes > Projekte

FHEM-Plugin für checkMK

<< < (21/22) > >>

f-zappa:
Moin,
ich erwäge den Upgrade auf das neue Checkmk 2.0 - aber funktioniert das fhem-Plugin auch mit dieser Version?

Gruß, Uli

gadget:
Versuch macht kluch:

Falls deine OMD Site den Namen prod hat:

omd stop prod
omd cp prod test
omd start prod
omd start test

-> Schauen ob test Site funktioniert

omd stop test

Neue cmk-Version installieren

omd update test
omd start test

-> Ausprobieren

omd stop test
omd rm test

Wenn alles funktioniert auch die prod updaten.

no_Legend:

--- Zitat von: erdo_king am 30 Dezember 2016, 17:35:26 ---Hallo Community,

ich bin begeisterter Fan von FHEM und von checkMK.
Da lag es nur nahe beide System zu verbinden ...

Ich habe mein Plugin nach etlichen Monaten Entwicklung soeben im GitHub veröffentlicht.
https://github.com/erdoking/mk_fhem

Somit wandern nun die Daten meiner Haussteuerung auch in mein Monitoring und werden dort grafisch aufgearbeitet im Jahresverlauf präsentiert ...
Ich hoffe auf (rege) Begeisterung und diversen Hinweise von andern Technik-begeisterten Personen!

History:
21.10.2019 | v0.9.4: Kompatibilität mit CheckMK 1.6
15.10.2018 | v0.9.3: Unterstützung für MAX! / Unterstützung für XiaomiFlowerSens
03.07.2018 | v0.9.2: weitere Readings für Luxtronik / min. Version auf 1.2.8 geändert
25.06.2018 | v0.9.1: Unterstützung für Luxtronik / HomeMatic reading 'activity' konfigurierbar
20.06.2018 | v0.9.0: Kompletter Rewrite der WATO Konfiguration, nun mit Kategorien

Die aktuellste MKP immer im Github

--- Ende Zitat ---

Gerade über den Beitrag gestolpert.
Ich hab auch nun seit ein paar Wochen die 2.0 am laufen.

Noch habe ich es nicht probiert wie es mit 2.0 ist.

f-zappa:

--- Zitat von: gadget am 22 April 2021, 11:02:58 ---Versuch macht kluch:
[ ... ]

--- Ende Zitat ---
Danke für den kleinen Wink, mir war tatsächlich nicht klar, dass checkMK es mir hier so einfach macht :-)

Der Check selbst funktioniert noch, aber  Regeln dazu sind nicht mehr editierbar (bzw die alten Regeln sind auch weg). Beim Upgrade auf die 1.6 hatte ich das gleiche Phänomen, damals war es aber vergleichsweise leicht zu beheben. Ich hoffe, dass erdo_king noch mal gucken kann ...

Gruß, Uli

erdo_king:
Oha - CheckMK 2.0 ist stable?

Seitdem ich CheckMK nicht mehr als Admin betreue, sondern nur als Anwender benutze lese ich die Veröffentlichungen nicht mehr Tagesaktuell mit ;)
Ich prüfe das bei Gelegenheit, scheint ja doch einige Anwender außer mir zu geben... Stand heute rate ich allen von einem Wechsel auf 2.0 ab, wenn das FHEM-Plugin weiterhin laufen soll!

Aktuell habe ich noch 1.6.0p22 im Einsatz, da sind mir zumindest keine größeren Probleme bekannt.


P.s.:
Ich fürchte ich muss den Code doch mal sauber programmieren, zumindest der Python-Anteil ist in einer Teaminternen Review  böse bewertet worden  ::)
Ich bin nun mal Admin und kein Entwickler, eine Kollegin aus dem Entwicklungsbereich hat mich darauf aufmerksam gemacht, dass der Check JEDESMAL einen Fehler wirft, den ich nur hart ignoriere ... Mein Perl ist eindeutig besser wir mein Python!

Navigation

[0] Themen-Index

[#] Nächste Seite

[*] Vorherige Sete

Zur normalen Ansicht wechseln